# ``igraph`.`drawing`.`plotly`.`edge`.`PlotlyEdgeDrawer``

class documentation

`class PlotlyEdgeDrawer(AbstractEdgeDrawer): (source)`

Constructor: `PlotlyEdgeDrawer(context, palette)`

View In Hierarchy

Matplotlib-specific abstract edge drawer object.

Method | `__init__` | Constructs the edge drawer.
Method | `draw_directed_edge` | Draws a directed edge.
Method | `draw_loop_edge` | Draws a loop edge.
Method | `draw_undirected_edge` | Draws an undirected edge.
Instance Variable | `context` | Undocumented
Instance Variable | `palette` | Undocumented
Instance Variable | `VisualEdgeBuilder` | Undocumented
Method | `_construct_visual_edge_builder` | Construct the visual edge builder that will collect the visual attributes of an edge when it is being drawn.

Inherited from `AbstractEdgeDrawer`:

Method | `get_label_position` | Returns the position where the label of an edge should be drawn. the default implementation returns the midpoint of the edge and an alignment that tries to avoid overlapping the label with the edge.
Method | `get_label_rotation` | Get the rotation angle of the label to align with the edge.
Static Method | `_curvature_to_float` | Converts values given to the 'curved' edge style argument in plotting calls to floating point values.

def __init__(self, context, palette): (source)

Constructs the edge drawer.

Parameters
context | a plotly Figure object on which the edges will be drawn.
palette | the palette that can be used to map integer color indices to colors when drawing edges

def draw_directed_edge(self, edge, src_vertex, dest_vertex): (source)
overrides `igraph.drawing.baseclasses.AbstractEdgeDrawer.draw_directed_edge`

Draws a directed edge.

Parameters
edge | the edge to be drawn. Visual properties of the edge are defined by the attributes of this object.
src_vertex | the source vertex. Visual properties are defined by the attributes of this object.
dest_vertex | the source vertex. Visual properties are defined by the attributes of this object.

def draw_loop_edge(self, edge, vertex): (source)

Draws a loop edge.

The default implementation draws a small circle.

Parameters
edge | the edge to be drawn. Visual properties of the edge are defined by the attributes of this object.
vertex | the vertex to which the edge is attached. Visual properties are given again as attributes.

def draw_undirected_edge(self, edge, src_vertex, dest_vertex): (source)
overrides `igraph.drawing.baseclasses.AbstractEdgeDrawer.draw_undirected_edge`

Draws an undirected edge.

The default implementation of this method draws undirected edges as straight lines. Loop edges are drawn as small circles.

Parameters
edge | the edge to be drawn. Visual properties of the edge are defined by the attributes of this object.
src_vertex | the source vertex. Visual properties are given again as attributes.
dest_vertex | the target vertex. Visual properties are given again as attributes.

context = (source)

Undocumented

palette = (source)

Undocumented

VisualEdgeBuilder = (source)

Undocumented

def _construct_visual_edge_builder(self): (source)

Construct the visual edge builder that will collect the visual attributes of an edge when it is being drawn.